#!/bin/bash

sudo apt-get install tmux -y

session="oai"

## Split into 4 panes
tmux new-session -d -s $session
tmux split-window -h \;

## Run OAI RAN

## Run OAI CU
tmux send-keys -t 0 'cd ~/openairinterface5g/cmake_targets/ran_build/build/' ENTER \; send-keys -t 0 'sudo ./nr-softmodem -E --sa -O ../../../targets/PROJECTS/GENERIC-NR-5GC/CONF/cu_gnb.conf --continuous-tx --gNBs.[0].min_rxtxtime 6' ENTER;

## Run OAI DU
tmux send-keys -t 1 'cd ~/openairinterface5g/cmake_targets/ran_build/build/' ENTER \; send-keys -t 1 'sudo ./nr-softmodem -E --sa -O ../../../targets/PROJECTS/GENERIC-NR-5GC/CONF/du_gnb.conf --continuous-tx --gNBs.[0].min_rxtxtime 6' ENTER;

tmux attach-session -t $session
