#!/bin/bash

sudo apt-get install tmux -y

session="oai"

## Split into 4 panes
tmux new-session -d -s $session
tmux split-window -h \;

## Run OAI RAN

tmux send-keys -t 0 'cd ~/oai/cmake_targets/ran_build/build/' ENTER \; send-keys -t 0 'sudo ./nr-softmodem -E --sa -O ../../../targets/PROJECTS/GENERIC-NR-5GC/CONF/gnb.sa.band78.fr1.106PRB.usrpb210.conf --continuous-tx --gNBs.[0].min_rxtxtime 6' ENTER;

## Run FlexRIC

tmux send-keys -t 1 'cd ~/flexric/' ENTER \; send-keys -t 1 './build/examples/ric/nearRT-RIC' ENTER;

tmux attach-session -t $session
